Get App Store app rankings for a keyword
curl --request GET \
--url https://api.scoutlayer.io/v1/apple/apps/keywords \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.scoutlayer.io/v1/apple/apps/keywords"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.scoutlayer.io/v1/apple/apps/keywords', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apps": [
{
"appId": "<string>",
"title": "<string>",
"rank": 123,
"url": "<string>",
"iconUrl": "<string>",
"rating": 123,
"reviewsCount": 123,
"isFree": true,
"price": {
"current": 123,
"currency": "<string>"
},
"developerName": "<string>",
"isSponsored": true
}
],
"nextCursor": "<string>",
"hasMore": true
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "<string>"
}
}Apple App Store
App Store Keyword Rankings API
One page of ranked app results for a keyword — for tracking App Store keyword rankings (ASO).
GET
/
v1
/
apple
/
apps
/
keywords
Get App Store app rankings for a keyword
Authorizations
ApiKeyAuthBearerAuth
API key passed as the X-API-Key request header. Recommended for server-to-server calls.
Query Parameters
Minimum string length:
1Example:
"email marketing"
Example:
"US"
⌘I